{"openapi":"3.0.4","info":{"title":"Soft or hard delete multiple accounts","description":"Delete one or more account from the Chart of Accounts. Soft deletion marks the account as inactive\r\nWhile the Hard deletion is deleting the account.\n\nThe maximum number of accounts that this method can delete per request is 2,000.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/chartofaccounts/{scope}/{code}/accounts/$delete":{"post":{"tags":["Chart Of Accounts"],"summary":"Soft or hard delete multiple accounts","description":"Delete one or more account from the Chart of Accounts. Soft deletion marks the account as inactive\r\nWhile the Hard deletion is deleting the account.\n\nThe maximum number of accounts that this method can delete per request is 2,000.","operationId":"DeleteAccounts","parameters":[{"name":"scope","in":"path","description":"The scope of the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Chart of Accounts. Together with the scope this uniquely identifies\r\n            the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"deleteMode","in":"query","description":"The delete mode to use. Default value: Soft. Available values: Soft, Hard.","schema":{"enum":["Soft","Hard"],"type":"string"},"x-nullable":true}],"requestBody":{"description":"The codes of the accounts to delete.","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"type":"string"}},"example":["AccountCode1","AccountCode2"]},"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["AccountCode1","AccountCode2"]},"text/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["AccountCode1","AccountCode2"]},"application/*+json":{"schema":{"type":"array","items":{"type":"string"}},"example":["AccountCode1","AccountCode2"]}},"required":true},"responses":{"200":{"description":"The datetime that the Accounts were deleted.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeleteAccountsResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeleteAccountsResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeleteAccountsResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}